--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/lib/Tools/fixsome Fri Sep 15 11:17:33 2000 +0200
@@ -0,0 +1,40 @@
+#!/bin/bash
+#
+# $Id$
+# Author: Markus Wenzel, TU Muenchen
+# License: GPL (GNU GENERAL PUBLIC LICENSE)
+#
+# DESCRIPTION: fix theorem names related to SOME (Eps) in HOL
+
+
+## diagnostics
+
+PRG=$(basename "$0")
+
+function usage()
+{
+ echo
+ echo "Usage: $PRG [FILES|DIRS...]"
+ echo
+ echo " Recursively find .thy and .ML files, fixing theorem names related"
+ echo " to SOME (Eps) in HOL."
+ echo
+ echo " Renames old versions of FILES by appending \"~~\"."
+ echo
+ exit 1
+}
+
+
+## process command line
+
+[ "$#" -eq 0 -o "$1" = "-?" ] && usage
+
+SPECS="$@"; shift "$#"
+
+
+## main
+
+#set by configure
+AUTO_PERL=perl
+
+find $SPECS "(" -name \*.thy -o -name \*.ML ")" -print | xargs "$AUTO_PERL" -w "$ISABELLE_HOME/lib/scripts/fixsome.pl"